[CP2K-user] [CP2K:12016] Plumed2 error during CP2K build

Krack Matthias (PSI) matthi... at psi.ch
Wed Jul 31 10:13:30 CET 2019


Hi Jerry

The line with PLUMED_DEPENDENCIES is still commented in your arch file:
#LIBS      = $(PLUMED_DEPENDENCIES) -lgsl -ldl -lgslcblas -lz
LIBS       = $(LIBXC_LIB)/libxcf03.a $(LIBXC_LIB)/libxc.a

Try instead:
LIBS       = $(PLUMED_DEPENDENCIES) -lgsl -ldl -lgslcblas -lz
LIBS      += $(LIBXC_LIB)/libxcf03.a $(LIBXC_LIB)/libxc.a

Best regards

Matthias

From: cp... at googlegroups.com <cp... at googlegroups.com> On Behalf Of Jerry Tanoury
Sent: Mittwoch, 31. Juli 2019 11:52
To: cp2k <cp... at googlegroups.com>
Subject: Re: [CP2K:12016] Plumed2 error during CP2K build

Hi Matthias,
The files are posted below.  I think the problem is with my plumed2 install, but I'm having trouble tracking down the issue.

Thank you so much for the help.

Jerry

On Wed, Jul 31, 2019 at 3:43 AM Krack Matthias (PSI) <matthi... at psi.ch<mailto:matthi... at psi.ch>> wrote:
Hi Jerry

Can you post your arch file, the content of “plumed/2.5.2/lib/plumed/src/lib/Plumed.inc.static” (which contains the definition of PLUMED_DEPENDENCIES), and the error log again.

Best regards

Matthias

From: cp... at googlegroups.com<mailto:cp... at googlegroups.com> <cp... at googlegroups.com<mailto:cp... at googlegroups.com>> On Behalf Of Jerry Tanoury
Sent: Dienstag, 30. Juli 2019 19:42
To: cp2k <cp... at googlegroups.com<mailto:cp... at googlegroups.com>>
Subject: Re: [CP2K:12013] Plumed2 error during CP2K build

Thank you Matthias.  I built plumed-2.5.2 using "--prefix=/cluster/home/tanoury/plumed-2.5.2 CC=mpiicc FC=mpiifort CXX=mpiicpc LIBS=-mkl", updated my arch file to fix LIBS, but got the same error messages and a failed install.

Am I missing something in my plumed2 install??

Best regards,
Jerry

On Monday, July 29, 2019 at 12:07:48 PM UTC-4, Matthias Krack wrote:
PS: The current trunk CP2K version links also with plumed 2.5.2 cleanly. Check your arch file, since you commented the first line starting with LIBS. Make sure that libplumed.a.is<http://libplumed.a.is> included in the link step.

HTH

Matthias

On Monday, 29 July 2019 16:40:34 UTC+2, Matthias Krack wrote:
Hi Jerry

The regression tester work with plumed version 2.4.1 including the one your arch file is based on.

Best regards

Matthias

From: c... at googlegroups.com<mailto:c... at googlegroups.com> <c... at googlegroups.com<mailto:c... at googlegroups.com>> On Behalf Of Jerry Tanoury
Sent: Montag, 29. Juli 2019 16:21
To: cp2k <c... at googlegroups.com<mailto:c... at googlegroups.com>>
Subject: [CP2K:12000] Plumed2 error during CP2K build

Dear Forum,

I am building CP2K using commit dba3465 from the dashboard, but I'm getting the following Plumed2 related error in the attached file.  I have also attached my arch file.  I greatly appreciate any help on fixing this.

Best regards,
Jerry
--
You received this message because you are subscribed to the Google Groups "cp2k" group.
To unsubscribe from this group and stop receiving emails from it, send an email to c... at googlegroups.com<mailto:c... at googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/cp2k/c45aaed5-64cb-4760-b6bb-ac688fda2813%40googlegroups.com<https://groups.google.com/d/msgid/cp2k/c45aaed5-64cb-4760-b6bb-ac688fda2813%40googlegroups.com?utm_medium=email&utm_source=footer>.
--
You received this message because you are subscribed to the Google Groups "cp2k" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cp... at googlegroups.com<mailto:cp... at googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/cp2k/5e7e9890-557c-48f9-b0d2-6c71cb0d57e1%40googlegroups.com<https://groups.google.com/d/msgid/cp2k/5e7e9890-557c-48f9-b0d2-6c71cb0d57e1%40googlegroups.com?utm_medium=email&utm_source=footer>.
--
You received this message because you are subscribed to the Google Groups "cp2k" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cp... at googlegroups.com<mailto:cp... at googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/cp2k/FCDF8CAC6EF2504E85F16873A7DF161A4E9BA534%40MBX114.d.ethz.ch<https://groups.google.com/d/msgid/cp2k/FCDF8CAC6EF2504E85F16873A7DF161A4E9BA534%40MBX114.d.ethz.ch?utm_medium=email&utm_source=footer>.
--
You received this message because you are subscribed to the Google Groups "cp2k" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cp... at googlegroups.com<mailto:cp... at googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/cp2k/CANa_qpFSfYpJP7YTHnmtpb9kWiiZvcwPQqoEnZA9cgAsEg5%3Dag%40mail.gmail.com<https://groups.google.com/d/msgid/cp2k/CANa_qpFSfYpJP7YTHnmtpb9kWiiZvcwPQqoEnZA9cgAsEg5%3Dag%40mail.gmail.com?utm_medium=email&utm_source=footer>.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.cp2k.org/archives/cp2k-user/attachments/20190731/acf9e497/attachment-0001.html>


More information about the CP2K-user mailing list